#
# spec file for package jms (Version 1.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           jms
BuildRequires:  java-devel jpackage-utils unzip update-alternatives
%define name		jms
%define version		1.1
%define cvs_version	1_1
%define release		3jpp
%define section		non-free
Version:        1.1
Release:        224.2
Summary:        Java Message Service
License:        LGPL v2.1 or later; Sun Microsystems, Inc. Binary Code License Agreement
Url:            http://java.sun.com/products/jms/
Group:          Development/Libraries/Java
Source0:        jboss-4.0.4.GA-src.tar.bz2
Source1:        COPYING
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Java Message Service (JMS) API has been developed by Sun working in
close cooperation with the leading enterprise messaging vendors.
Enterprise messaging is now recognized as an essential tool for
building enterprise applications. By combining Java technology with
enterprise messaging, the JMS API provides a new, powerful tool for
solving enterprise computing problems.

Enterprise messaging provides a reliable, flexible service for the
asynchronous exchange of critical business data and events throughout
an enterprise. The JMS API adds to this a common API and provider
framework that enables the development of portable, message based
applications in the Java programming language.

The JMS API improves programmer productivity by defining a common set
of messaging concepts and programming strategies that will be supported
by all JMS technology-compliant messaging systems.



%package javadoc
License:        LGPL v2.1 or later; Sun Microsystems, Inc. Binary Code License Agreement
Summary:        Javadoc documentation for jms.
Group:          Development/Libraries/Java
PreReq:         coreutils

%description javadoc
Javadoc documentation for jms.



%prep
%setup -c jms -T 
tar -jxf %{SOURCE0} jboss-4.0.4.GA-src/j2ee/src/main/javax/jms/ jboss-4.0.4.GA-src/j2ee/src/main/javax/transaction/xa/

%build
CURRENT_DIR=$(pwd)
pushd jboss-4.0.4.GA-src/j2ee/src/main/ 
mkdir %{_builddir}/jms 
find javax/jms/ -name "*.java" -exec javac -d %{_builddir}/jms -source 1.4 -target 1.4 -cp . javax/transaction/xa/XAResource.java {} +
cd %{_builddir}/jms
mkdir -p $CURRENT_DIR/lib
jar -cf $CURRENT_DIR/lib/javax.%{name}.jar .

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/javax.%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc ... is now happening in jboss4.spec
# install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_defaultdocdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*
%docdir %{_defaultdocdir}
%doc %{_defaultdocdir}/COPYING

%changelog
* Mon Mar 31 2008 anosek@suse.cz
- added COPYING file with LGPLv2.1, fixes (bnc#372253)
* Wed Feb 13 2008 adrian@suse.de
- remove NoSource flag, this is free software
* Fri May 18 2007 dbornkessel@suse.de
- package is now a source build created from jboss4 sources
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 1.1 (JPackage 1.5)
